Page MenuHome

VSE( Video Sequence Editor) Speed Control effect doesn't work properly
Needs Information from User, NormalPublic

Description

System Information
Operating system: Win 7 x64
Graphics card: Intel HD620

Blender Version
Broken: (2.93 d30320b4f59d) and 2.91 stable (I can't check last build of 2.93, because it crashes at start)
Worked: 2.83.10 LTS

Short description of error
Feature "Stretch to Input Strip Length" of Speed Control effect doesn't work. I expected that after applying the effect and stretching the strip, its speed will change as it was in 2.83.

Exact steps for others to reproduce the error

  1. Put any video strip into sequencer
  2. Apply "Add->Effect Strip->Speed Control"
  3. Stretch video strip and play

Event Timeline

If these are your settings:


Stretching works here?

Imo, the current Speed strip panel is very bad designed and needs to be redesigned. Something I have attempted with this patch: https://developer.blender.org/D6110

Em... No, I'm not talking about the panel. "Stretch to input Strip" checked by default.
About design, maybe, but I'm used to it. It's enough for me that the stretching just works as before. Or is it not working only for me?

Is Multiply Speed set to 1 for you?

Yes. All as discribed in "steps to reproduce" by default Multiply 1.0

Ok. I can't reproduce it here. This is 2.93:

Ivan (AIG) added a comment.EditedTue, Feb 23, 11:14 AM

https://youtu.be/WYwGJBhILxg
In the first part of video 2.93 and in the second part 2.83 LTS. Actually 2.91 behavior also strange

Richard Antalik (ISS) changed the task status from Needs Triage to Needs Information from User.Tue, Feb 23, 4:02 PM

https://youtu.be/WYwGJBhILxg
In the first part of video 2.93 and in the second part 2.83 LTS. Actually 2.91 behavior also strange

There was speed effect bug fixed recently, I think that could be same problem as you are haveng here.
Please check with latest build from https://builder.blender.org/download/

Unfortunately I can't check last build, because error at start: "api-ms-win-core-path-l1-1-0.dll not found". As far as I understand this library belongs Win 8 and higher. But I use Win 7.

You can check 2.92, fix was done in both versions.

With 2.93 support for win 7 has been ended due to new python version. See https://wiki.blender.org/wiki/Reference/Release_Notes/2.93
There should be some warning on load but you should be able to launch 2.93 on win7. Unfortunately I won't be able to help you with this matter, but please try looking for support at one of the community websites: https://www.blender.org/community/